# __gnu_profile::__reentrance_guard Struct Reference

Reentrance guard. More...

List of all members.

## Static Public Member Functions

- static bool __get_in ()
- static bool & __inside ()

## Detailed Description

Reentrance guard.

Mechanism to protect all __gnu_profile operations against recursion, multithreaded and exception reentrance.

Definition at line 69 of file profiler.h.

The documentation for this struct was generated from the following file:

- profiler.h